Syntax to compile files:
g++ filename.cpp -o filename 

Optional flags:

-DDEBUG : Enables the printing of debug information

-DP1000 : Enables the use of 1000 byte packets

-DP10000 : Enables the use of 10,000 byte packets

Commandline arguments:
Only client.cpp takes commandline arguments

The first argument is bypass_offload : if 0 then the program runs with offload, else it bypasses offload.

The second argument is proportion : determines what proportion of writes are inconsistent (if proportion = x, then the inconsistent to consistent write ratio is 1:x-1)

Execution for offloaded mode (in order):
1)Run offload.cpp on ub05's SmartNIC
2)Run client.cpp on user (as ./client 0 n)
3)Run master.cpp on ub05


Execution for non-offloaded mode (in order):
1)no_offload_master.cpp runs on ub05
2)client.cpp runs on user (as ./client 1 n)

